## slepc4py 3.13.0

=== debian/changelog ===
slepc4py (3.13.0-2) unstable; urgency=medium

  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 12:20:24 +0800

slepc4py (3.13.0-1) experimental; urgency=medium

  * New upstream release.
  * update upstream homepage to https://gitlab.com/slepc/slepc4py
  * debian patch use_python3.patch sets docs to use sphinx with python3
  * build docs using sphinx
    - apiref no longer available: needs abandoned epydoc

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 May 2020 02:34:10 +0800

slepc4py (3.12.0-7) unstable; urgency=medium

  * rebuild to allow migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Apr 2020 18:32:05 +0800

slepc4py (3.12.0-6) unstable; urgency=medium

  * Facilitate slepc4py support for multiple installed SLEPc versions.
    - provide SLEPc-version-specific packages
      python3-slepc4py-real3.12 and python3-slepc4py-complex3.12.
    - python3-slepc4py-real and python3-slepc4py-complex are now dummy
      packages depending on the specific versioned packages.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 13:59:49 +0800

slepc4py (3.12.0-5) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Use SLEPC_DIR to control choice of SLEPc build used with slepc4py
    at runtime (e.g. real or complex), instead of alternatives
  * python3-slepc4py-{real,complex} install the slepc4py modules
    underneath their respective SLEPC_DIRs.
  * python3-slepc4py is now a base package (not dummy) providing the
    path to the slepc4py module for the default SLEPc installation in
    /usr/lib/slepc. Export the environment variable SLEPC_DIR to
    use other SLEPc versions or builds.
  * run debian/tests/run-tests against complex build as well as
    default build

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Mar 2020 10:57:53 +0800
