## slepc4py 3.14.0

=== debian/changelog ===
slepc4py (3.14.0-2) unstable; urgency=medium

  * upload to unstable for ABI transition

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Nov 2020 01:00:51 +0800

slepc4py (3.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 16:07:18 +0800

slepc4py (3.13.0-5) unstable; urgency=medium

  * Build-Depends: python3-petsc4py
    (ensure petsc4py.pth is available)
  * invert Depends/Recommends relationship between python3-slepc4py and
    specific builds. apt-get install python3-slepc4py should "just work"

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Sep 2020 11:56:09 +0800

slepc4py (3.13.0-4) unstable; urgency=medium

  * bring 64-bit packages to unstable

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jul 2020 11:57:29 +0800

slepc4py (3.13.0-3) experimental; urgency=medium

  * provide builds with 64-bit indexing in python3-slepc4py-64-real,
    python3-slepc4py-64-complex and version-specific variants.
  * relax circular dependency by setting python3-slepc4py Recommends:
    rather than Depends on specific slepc4py builds. Closes: #963850.

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jul 2020 17:00:05 +0800
