=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,11 @@
 PETSC_DIR_COMPLEX=/usr/lib/petscdir/petsc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
 SLEPC_DIR_COMPLEX=/usr/lib/slepcdir/slepc$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
 
+PETSC64_DIR_REAL=/usr/lib/petscdir/petsc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
+SLEPC64_DIR_REAL=/usr/lib/slepcdir/slepc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-real
+PETSC64_DIR_COMPLEX=/usr/lib/petscdir/petsc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
+SLEPC64_DIR_COMPLEX=/usr/lib/slepcdir/slepc64-$(SLEPC_BASE_VERSION)/$(DEB_HOST_MULTIARCH)-complex
+
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -57,10 +62,14 @@
 override_dh_auto_configure-arch:
        PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
        PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
+       PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
+       PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX)  PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
 
 override_dh_auto_build-arch:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
+	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_build -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
+	PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX)  PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_build -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
 	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
 	chrpath -d .pybuild/*python*/build/slepc4py*/lib/SLEPc*.so
@@ -68,9 +77,14 @@
 override_dh_auto_install-arch:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
 	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX) PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_install -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
+	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_install -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
+	PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX) PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_install -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
 	mkdir -p debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/usr debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/usr
 	mv debian/python3-slepc4py-real/usr/lib debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/usr
 	mv debian/python3-slepc4py-complex/usr/lib debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/usr
+	mkdir -p debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr
+	mv debian/python3-slepc4py-64-real/usr/lib debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr
+	mv debian/python3-slepc4py-64-complex/usr/lib debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr
 
 override_dh_auto_build-indep:
 	make rst2html
@@ -98,6 +112,9 @@
 	mkdir -p debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_REAL)/lib debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_COMPLEX)/lib
 	mv debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-real$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_REAL)/lib
 	mv debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-complex$(SLEPC_BASE_VERSION)/$(SLEPC_DIR_COMPLEX)/lib
+	mkdir -p debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_REAL)/lib debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_COMPLEX)/lib
+	mv debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_REAL)/lib
+	mv debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr/lib/python3 debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/$(SLEPC64_DIR_COMPLEX)/lib
 
 override_dh_compress:
 	dh_compress -Xpdf
