=== debian/watch ===
version=4
https://gitlab.com/slepc/slepc4py/-/tags \
 /slepc/slepc4py/-/archive/.*/slepc4py-([\d\.]+).tar.bz2 debian uupdate
