## slepc4py 3.15.1

=== debian/changelog ===
slepc4py (3.15.1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:48:39 +0000

slepc4py (3.15.1-2) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * refresh debian/source/lintian-overrides

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Oct 2021 23:26:15 +0200

slepc4py (3.15.1-1exp2) experimental; urgency=medium

  * reinstate slepc library patch in debian patch
    read_slepc_config.patch, which was inadvertently lost when
    refreshing patches for 3.15.0 (commit a2d11bc4)

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Sep 2021 01:43:31 +0200

slepc4py (3.15.1-1exp1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Sep 2021 13:28:35 +0200

slepc4py (3.15.0-1exp1) experimental; urgency=medium

  * New upstream release (new ABI version 3.15).
  * debian/watch: track slepc4py upstream source from pypi.python.org,
    since slepc4py development is now merged into slepc upstream.
  * upstream source provides prebuilt docs, but build fresh html docs
    to ensure they are up to date with Debian's version of sphinx
  * drop jquery.js and underscore.js from source/lintian-overrides
    (true source now provided, no longer overlength)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Apr 2021 03:07:08 +0200
