=== debian/rules ===
--- 
+++ 
@@ -60,10 +60,10 @@
 override_dh_auto_install-indep: ;
 
 override_dh_auto_configure-arch:
-       PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
-       PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
-       PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
-       PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX)  PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
+	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
+	PYBUILD_NAME=slepc4py_complex SLEPC_DIR=$(SLEPC_DIR_COMPLEX)  PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-complex$(SLEPC_BASE_VERSION)
+	PYBUILD_NAME=slepc4py_64_real SLEPC_DIR=$(SLEPC64_DIR_REAL)  PETSC_DIR=$(PETSC64_DIR_REAL)  dh_auto_configure -ppython3-slepc4py-64-real$(SLEPC_BASE_VERSION)
+	PYBUILD_NAME=slepc4py_64_complex SLEPC_DIR=$(SLEPC64_DIR_COMPLEX)  PETSC_DIR=$(PETSC64_DIR_COMPLEX)  dh_auto_configure -ppython3-slepc4py-64-complex$(SLEPC_BASE_VERSION)
 
 override_dh_auto_build-arch:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
@@ -73,6 +73,12 @@
 	# slepc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
 	chrpath -d .pybuild/*python*/build/slepc4py*/lib/SLEPc*.so
+
+override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
+override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
+override_dh_auto_build-indep:
+	PYTHONPATH=. sphinx-build -M html docs/source .pybuild/docs
+	mv .pybuild/docs/html .pybuild/docs/usrman
 
 override_dh_auto_install-arch:
 	PYBUILD_NAME=slepc4py_real SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-slepc4py-real$(SLEPC_BASE_VERSION)
@@ -86,21 +92,11 @@
 	mv debian/python3-slepc4py-64-real/usr/lib debian/python3-slepc4py-64-real$(SLEPC_BASE_VERSION)/usr
 	mv debian/python3-slepc4py-64-complex/usr/lib debian/python3-slepc4py-64-complex$(SLEPC_BASE_VERSION)/usr
 
-override_dh_auto_build-indep:
-	make rst2html
-	make sphinx-html
-	make docs-misc
-	SLEPC_DIR=$(SLEPC_DIR_REAL)  PETSC_DIR=$(PETSC_DIR_REAL) make sphinx-pdf
+override_dh_installdocs:
+	dh_installdocs debian/README.Debian
 
-override_dh_installdocs-arch:
-	dh_installdocs -a debian/README.Debian
-
-override_dh_installdocs-indep:
-	dh_installdocs -i debian/README.Debian
-	rm debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/jquery*.js
-	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/jquery.js
-	rm debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/underscore*.js
-	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-slepc4py-doc/usr/share/doc/python-slepc4py-doc/usrman/_static/underscore.js
+override_dh_sphinxdoc:
+	dh_sphinxdoc -Xcontents.rst.txt
 
 override_dh_python3-indep:
 	dh_python3 -i
